Bug 704672 - Review Request: fusiondirectory - Web Based LDAP Administration Program
Review Request: fusiondirectory - Web Based LDAP Administration Program
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On: 701028
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-13 20:16 EDT by Olivier BONHOMME
Modified: 2015-07-21 09:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-21 09:11:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olivier BONHOMME 2011-05-13 20:16:29 EDT
Spec URL: http://ares.ptitoliv.net/~ptitoliv/fedora/fusiondirectory/fusiondirectory.spec
SRPM URL: http://ares.ptitoliv.net/~ptitoliv/fedora/fusiondirectory/fusiondirectory-1.0.1-1.fc14.src.rpm
Description: FusionDirectory is a combination of system-administrator and end-user web interface, designed to handle LDAP based setups.Provided is access to posix, shadow, samba, proxy, fax, and Kerberos accounts. It is able to manage the Postfix/Cyrus server combination and can write user adapted sieve scripts.

Hello, I submit this request review for the fusiondirectory application. It is my second request after this one : https://bugzilla.redhat.com/show_bug.cgi?id=701028 and I am looking for a sponsor in order to integrate these apps in the Fedora release.

Regards,
Comment 1 Olivier BONHOMME 2011-07-03 17:54:44 EDT
Hello,

Please find a new version for the fusiondirectory package which provides fc15 support and takes accounts of remarks raised by FC15 rpmlint.

You will find : 

Spec URL:
http://ares.ptitoliv.net/~ptitoliv/fedora/fusiondirectory/fusiondirectory.spec
SRPM URL:
http://ares.ptitoliv.net/~ptitoliv/fedora/fusiondirectory/fusiondirectory-1.0.3-1.fc15.src.rpm

Regards
Comment 3 Damian L Brasher 2011-07-04 08:03:53 EDT
Initial informal review,

rpmlint -i fusiondirectory-1.0.1-3.fc15.src.rpm
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

-fusiondirectory.src: W: spelling-error %description -l en_US posix -> posit 
-fusiondirectory.src: E: unknown-key GPG#62b4981f
-fusiondirectory.src:246: W: unversioned-explicit-obsoletes fusiondirectory-plugin-heimdal

rpmlint -i fusiondirectory.spec 
0 packages and 1 specfiles checked; 0 errors, 1 warnings.
fusiondirectory.spec:246: W: unversioned-explicit-obsoletes fusiondirectory-plugin-heimdal

rpmbuild --rebuild fusiondirectory-1.0.1-3.fc15.src.rpm worked fine.

Damian Brasher - (new to FP)
Comment 4 Olivier BONHOMME 2011-07-04 08:13:00 EDT
Hello,

Thnaks for this first review.

For the error on GPG key, our GPG public key is available on our official donwload site here : http://download.fusiondirectory.org/gpg/fusiondirectory_public.key

Regards
Comment 5 Olivier BONHOMME 2011-11-05 18:44:19 EDT
Hello,

I just released RPM for the 1.0.2 version. Still looking for a sponsor, here are the asked elements : 

- SPEC File : http://ares.ptitoliv.net/~ptitoliv/fedora/fusiondirectory/fusiondirectory.spec

- SRPM : http://ares.ptitoliv.net/~ptitoliv/fedora/fusiondirectory/fusiondirectory-1.0.2-1.fc15.src.rpm

Regards
Comment 6 Olivier BONHOMME 2011-12-01 14:00:03 EST
Hello,

I just repackaged the fusiondirectory application and all the plugins for FC16. You'll find the elements here : 

- SPEC File : http://ares.ptitoliv.net/~ptitoliv/fedora/fusiondirectory/fusiondirectory.spec

- SRPM File : http://ares.ptitoliv.net/~ptitoliv/fedora/fusiondirectory/fusiondirectory-1.0.2-1.fc16.src.rpm

Regards,
Comment 7 Olivier BONHOMME 2012-08-24 09:32:36 EDT
Hello,

I just repackaged the fusiondirectory application and all the plugins for FC17 considering 1.0.3 upstream sources.You'll find the elements here : 

- SPEC File : http://ares.ptitoliv.net/~ptitoliv/fedora/fusiondirectory/fusiondirectory.spec

- SRPM File : http://ares.ptitoliv.net/~ptitoliv/fedora/fusiondirectory/fusiondirectory-1.0.3-3.fc17.src.rpm

Still looking for a sponsor.

Regards,
Comment 8 Fabian Affolter 2012-11-10 04:56:12 EST
It helps when you perform some informal reviews of other packages. This way you can show the sponsors that you know the Packaging guidelines.
Comment 9 Jason Tibbitts 2013-04-30 14:17:36 EDT
This package builds but fails to install because it depends on php-Smarty-gettext, which is not in Fedora.  It seems that was submitted in a separate review, but the ticket dependencies were never properly set.
Comment 10 Veaceslav Mindru 2013-07-29 11:21:58 EDT
(In reply to Olivier BONHOMME from comment #7)
> Hello,
> 
> I just repackaged the fusiondirectory application and all the plugins for
> FC17 considering 1.0.3 upstream sources.You'll find the elements here : 
> 
> - SPEC File :
> http://ares.ptitoliv.net/~ptitoliv/fedora/fusiondirectory/fusiondirectory.
> spec
> 
> - SRPM File :
> http://ares.ptitoliv.net/~ptitoliv/fedora/fusiondirectory/fusiondirectory-1.
> 0.3-3.fc17.src.rpm
> 
> Still looking for a sponsor.
> 
> Regards,

Hello , what is the target version this package will fall into ? In case it's for the latest version you will have to modify  SPEC file. Stuff like buildroot are deprecated after EPEL5.
Comment 11 Miroslav Suchý 2015-07-21 09:11:40 EDT
Closing due long inactivity. Feel free to reopen if you want to continue.

Note You need to log in before you can comment on or make changes to this bug.